
TP-Link Archer D20 AC750
Model Archer D20 AC750Part no. ARCHER D20EAN 6935364091811
51 specifications
- ColourBlack
- Wi-Fi bandDual-band (2.4 GHz / 5 GHz)
- Ethernet LANYes
- Ethernet LAN (RJ-45) ports4
- Antenna designExternal
- Operating relative humidity (H-H)10 - 90%
Overview
- Colour
- Black
- Wi-Fi band
- Dual-band (2.4 GHz / 5 GHz)
- Ethernet LAN
- Yes
- Ethernet LAN (RJ-45) ports
- 4
- Antenna design
- External
- Operating relative humidity (H-H)
- 10 - 90%
- Brand
- TP-Link
- Category
- Wireless Router
- Model
- Archer D20 AC750
- Part number
- ARCHER D20
- EAN / UPC
- 6935364091811
- Also known as
- TP-Link Archer D20 AC750 wireless router Fast Ethernet Dual-band (2.4 GHz / 5 GHz) Black
Specifications
51 specifications in 13 groups
Wireless LAN features
| Specification | Value |
|---|---|
| Wi-Fi band | Dual-band (2.4 GHz / 5 GHz) |
Network
| Specification | Value |
|---|---|
| Ethernet LAN | Yes |
| Ethernet LAN interface type | Fast Ethernet |
| Ethernet LAN data rates | 10,100 Mbit/s |
| Cabling technology | 10/100Base-T(X) |
| Networking standards | IEEE 802.11a, IEEE 802.11ac, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.3, IEEE 802.3ab, IEEE 802.3u |
| VPN tunnels quantity | 10 |
| VPN support | PPTP, L2TP, IPSec Passthrough |
Ports & interfaces
| Specification | Value |
|---|---|
| Ethernet LAN (RJ-45) ports | 4 |
| USB port | Yes |
| RJ-11 ports quantity | 1 |
| DC-in jack | Yes |
Management features
| Specification | Value |
|---|---|
| Web-based management | Yes |
| Quality of Service (QoS) support | Yes |
| Reset button | Yes |
Security
| Specification | Value |
|---|---|
| Security algorithms | 128-bit WEP, 64-bit WEP, WPA, WPA-PSK, WPA2, WPA2-PSK |
| Firewall | Yes |
| DoS attack prevention | Yes |
| Filtering | Yes |
| MAC address filtering | Yes |
| IP address filtering | Yes |
| URL filtering | Yes |
Protocols
| Specification | Value |
|---|---|
| DHCP client | Yes |
| DHCP server | Yes |
| Universal Plug and Play (UPnP) | Yes |
| Management protocols | SSL for TR-069, SNMP v1/2c |
| Data link protocols | IPv4, IPv6 |
| Supported network protocols | ATM Forum UNI3.1/4.0, PPP over ATM (RFC 2364), PPP over Ethernet (RFC2516), IPoA (RFC1577/2225), MER\IPoE (RFC 1483 Routed), Bridge (RFC1483 Bridge), PVC |
Design
| Specification | Value |
|---|---|
| Product colour | Black |
| LED indicators | Yes |
| On/off switch | Yes |
Packaging content
| Specification | Value |
|---|---|
| Cables included | LAN (RJ-45), Phone (RJ-11) |
| AC adapter included | Yes |
| Quick start guide | Yes |
Certificates
| Specification | Value |
|---|---|
| Certification | CE, FCC, RCM, RoHS |
Antenna
| Specification | Value |
|---|---|
| Antenna design | External |
| Antennas quantity | 2 |
| Detachable antenna(s) | Yes |
| Transmit power | 0 dBmW |
Operational conditions
| Specification | Value |
|---|---|
| Operating relative humidity (H-H) | 10 - 90% |
| Operating temperature (T-T) | 0 - 40 °C |
| Storage relative humidity (H-H) | 5 - 90% |
| Storage temperature (T-T) | -40 - 70 °C |
Weight & dimensions
| Specification | Value |
|---|---|
| Depth | 141 mm |
| Height | 33.7 mm |
| Width | 202 mm |
Other features
| Specification | Value |
|---|---|
| Frequency band | 2.4 & 5 |
| Rack mounting | No |
| USB ports quantity | 1 |
| USB version | 1.1 |
| xDSL connection | Yes |
What people say
Reviews & ratings
TP-Link Archer D20 AC750
No reviews yet
Be the first to tell others how TP-Link Archer D20 AC750 works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare TP-Link Archer D20 AC750
All wireless router comparisons- TP-Link Archer D20 AC750 vsTP-Link AC 1900Compare specs
- TP-Link Archer D20 AC750 vsTP-Link 300Mbps Wireless N USB VDSL/ADSL Modem RouterCompare specs
- TP-Link Archer D20 AC750 vsTP-Link TX-VG1530 wireless router Gigabit Ethernet BlackCompare specs
- TP-Link Archer D20 AC750 vsTP-Link Archer CR700Compare specs
- TP-Link Archer D20 AC750 vsNETGEAR D7000 wireless router Gigabit Ethernet Dual-band (2.4 GHzCompare specs
- TP-Link Archer D20 AC750 vsZyxel SBG3600-N000-EU01V1F wireless routerCompare specs
- TP-Link Archer D20 AC750 vsASUS RT-N56U B1Compare specs
- TP-Link Archer D20 AC750 vsFRITZ!Box 4020Compare specs
Similar products
All wireless routersNETGEAR
RAX70 wireless router Gigabit Ethernet Tri-band (2.4 GHz
Model RAX70
- Memory
- 1024 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Tabletop router
ASUS
RT-AC1900U wireless router Gigabit Ethernet Dual-band (2.4 GHz
Model RT-AC1900U
- Speed
- Wi-Fi 5 (802.11ac)
- Type
- Tabletop router
- Weight
- 660 g
Cudy
5G SA/NSA AX3000 Wi-Fi 6 Router, P4 1.0
- Memory
- 512 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Desktop/pole router
Cudy
P5 wireless router Gigabit Ethernet Dual-band (2.4 GHz
Model P5
- Memory
- 256 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Tabletop router
TP-Link
Archer AXE5400 Tri-Band Gigabit Wi-Fi 6E Router
Model AX5400
- Speed
- Wi-Fi 6E (802.11ax)
- Type
- Tabletop router
- Weight
- 710 g
Cudy
5G SA/NSA BE3600 Wi-Fi 7 Router, P6 1.0
- Memory
- 1024 MB
- Speed
- Wi-Fi 7 (802.11be)
- Type
- Desktop/pole router
Cudy
AX3000 2.5G Mesh Wi-Fi 6 Router, WR3000H 1.0
- Memory
- 256 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Desktop/pole router


















